Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"123c693d-4b56-4da9-81fc-c1be5b499552","url":null,"stageId":"091d8baf-97e1-4bdc-aeb9-d16a3757ba6f","stageUrl":null,"fillingId":"688cb98c-ed25-42ac-bf06-dd9227827f25","fillingUrl":null,"userId":"251d2909-9c45-40df-a22f-9ae5b633ac59","userUrl":null,"status":"Approved","reviewDateTime":"2026-11-10T13:02:18.5715443+00:00","creationDateTime":"2026-11-10T13:02:18.5715443+00:00","lastModifiedDateTime":"2026-11-12T13:02:18.5715443+00:00"},{"id":"a3216423-7c04-4730-b44c-0b224ddd73fc","url":null,"stageId":"29687588-4ce3-4ac9-92a3-8b5445a40f3a","stageUrl":null,"fillingId":"a9607f04-00c8-4de4-920f-94e3a52bea01","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-11-10T13:02:18.5715443+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string